org.eclipse.microprofile.graphql.tck.apps.superhero.api

## Class SuperHeroLookupException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.microprofile.graphql.GraphQLException
      - - org.eclipse.microprofile.graphql.tck.apps.superhero.api.SuperHeroLookupException

All Implemented Interfaces:
  Serializable

    public class SuperHeroLookupException
    extends GraphQLException

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.graphql.GraphQLException

`GraphQLException.ExceptionType`

### Constructor Summary

Constructors
Constructor and Description
`SuperHeroLookupException(String message, Object partialResults)`

### Method Summary

### Methods inherited from class org.eclipse.microprofile.graphql.GraphQLException

`getExceptionType, getPartialResults, setExceptionType, setPartialResults`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SuperHeroLookupException

    public SuperHeroLookupException(String message,
                                    Object partialResults)